package com.tomwheeler.example.functionpack1;

import com.tomwheeler.example.stringmaster.api.StringFunction;

public class Rot13 implements StringFunction {

    @Override
    public String getName() {
        return "ROT 13";
    }

    @Override
    public String invoke(String input) {

        StringBuilder sb = new StringBuilder();
        
        for (int i = 0; i < input.length(); i++) {
            char c = input.charAt(i);
            
            if (c >= 'a' && c <= 'm') {
                c += 13;
            } else if (c >= 'n' && c <= 'z') {
                c -= 13;
            } else if  (c >= 'A' && c <= 'M') {
                c += 13;
            } else if  (c >= 'A' && c <= 'Z') {
                c -= 13;
            }
            
            sb.append(c);
        }
        
        return sb.toString();
    }
    
}
