package com.tomwheeler.example.stringmaster.api;

public interface StringFunction {

    /**
     * @return display name for the String function
     */
    String getName();
    
    /**
     * Performs some operation on the input String
     *
     * @param input The String used as input to the function
     * @return copy of input String as modified by the String function
     */
    String invoke(String input);
    
}
