package com.tomwheeler.example.stringmaster.gui.resources;

import java.awt.event.ActionEvent;
import javax.swing.AbstractAction;
import javax.swing.ImageIcon;
import org.openide.util.NbBundle;
import org.openide.util.Utilities;
import org.openide.windows.TopComponent;

/**
 * Action which shows StringConsole component.
 */
public class StringConsoleAction extends AbstractAction {
    
    public StringConsoleAction() {
        super(NbBundle.getMessage(StringConsoleAction.class, "CTL_StringConsoleAction"));
        putValue(SMALL_ICON, new ImageIcon(Utilities.loadImage(StringConsoleTopComponent.ICON_PATH, true)));
    }
    
    public void actionPerformed(ActionEvent evt) {
        TopComponent win = StringConsoleTopComponent.findInstance();
        win.open();
        win.requestActive();
    }
    
}
